clear all; close all
%
% Recursive averaging, system model y = constant + noise
a=1; yM=a;
N=500; Nv=[1:N];
ny=randn(1,N);
y=yM+ny;
%
aest=zeros(1,N);    % estimated system constant
for k=2:N, 
    aest(k)=aest(k-1)+(y(k)-aest(k-1))/k; 
    figure(2), subplot(121), plot(Nv,y,Nv,aest); grid;
               subplot(122), plot(Nv,abs(aest-a)); grid;
end;

% faster computation example
% aest(2:end)=aest(1:end-1)+(y(2:end)-aest(1:end-1))./[2:N];    


