clear all; close all
%
% Running averaging (mean), fixed length signal window
N=500; Nv=[1:N];
yM=sin(2*pi*Nv/N);  % system description: y = sine signal + noise
ny=.1*randn(1,N);
y=yM+ny;
K=5;                % window length
%
aest=zeros(1,N);    % estimate of the sine component
for k=K:N-K, 
    aest(k)=aest(k-1)+(y(k)-y(k-K+1))/K; 
    figure(2), subplot(121), plot([1:N],y,[1:N],aest); grid;
               subplot(122), plot([1:N],abs(aest-yM)); grid;
end;
%
